import { ServiceAccount } from "firebase-admin/app";
import { DocumentData } from "firebase-admin/firestore";
export type ConfigLike = (ServiceAccount | string) | (() => ServiceAccount | string);
export type StringLike = string | (() => string);
export type NumberLike = number | (() => number);
export type DataLike = {} | (() => {});
export declare class DB {
    private config;
    private app;
    private db;
    constructor(config: ConfigLike);
    addData(collectionName: StringLike, documentName: StringLike, data: DataLike): Promise<boolean>;
    getData(collectionName: StringLike, documentName: StringLike): Promise<DocumentData | false>;
    deleteDocument(collectionName: StringLike, documentName: StringLike): Promise<Boolean>;
    private deleteBatches;
    deleteCollection(collectionName: StringLike, batchSize?: NumberLike): Promise<Boolean>;
}
